Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 222272 - Available job options grouped into sections
Summary: Available job options grouped into sections
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-01-11 10:36 UTC by Tim Waugh
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.7.54-1.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-27 11:09:40 UTC


Attachments (Terms of Use)
Screenshot-Job Options.png (deleted)
2007-02-16 18:04 UTC, Tim Waugh
no flags Details

Description Tim Waugh 2007-01-11 10:36:02 UTC
Description of problem:
It would be easier to find the job option you need if they could be grouped into
sections, such as "Text printing", "Margins" etc, and if there could be
descriptions for each option.

Version-Release number of selected component (if applicable):
0.7.46-1.fc6

Comment 1 Tim Waugh 2007-02-08 13:59:48 UTC
Need a good UI for it.  Anyone?

Comment 2 Tim Waugh 2007-02-16 12:08:29 UTC
Also we need to change the UI to avoid needing to parse printers.conf.  Change:

* list of admin-set options each with 'Remove' button

to:

* list of all CUPS common options, each with 'Reset' button, plus other
admin-set options, each with 'Remove' button.


Comment 3 Tim Waugh 2007-02-16 18:04:17 UTC
Created attachment 148218 [details]
Screenshot-Job Options.png

Here's a prototype screenshot.	The idea is that the 'Reset' buttons will cause
any admin-set options to be removed, so that the underlying system defaults are
used.  From a UI perspective, clicking on a 'Reset' button will:

(a) reset the option value to the (presumed) system default value,
(b) set the option widget insensitive, and
(c) set the Reset button insensitive.

Feedback welcome!

Comment 4 Tim Waugh 2007-02-16 18:06:29 UTC
Hmm, actually there's no need for it to set the option widget insensitive.

Also, for non-mandatory options like 'cpi', if it is not already set then the
'Reset' button will start insensitive.


Note You need to log in before you can comment on or make changes to this bug.